%define target avr

Name:           cross-%{target}-binutils
Epoch:          1
Version:        2.44
Release:        %mkrel 1
Summary:        Cross Compiling GNU binutils targeted at %{target}
Group:          Development/Other
License:        GPL-2.0-or-later
URL:            https://www.gnu.org/software/binutils/
Source0:        https://ftp.gnu.org/pub/gnu/binutils/binutils-%{version}.tar.xz
Source1:        README.mageia
#add widespread options to avr-size: --format=avr -mcu=XX
Patch1:         http://distribute.atmel.no/tools/opensource/avr-gcc/binutils-2.20.1/30-binutils-2.20.1-avr-size.patch
Patch2:         avr-binutils-config.patch
BuildRequires:  gawk
BuildRequires:  texinfo
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(zlib)

Obsoletes:      %{target}-binutils < 1:2.21
Provides:       %{target}-binutils = %epoch:%version-%release
Provides:       bundled(libiberty)

%description
This is a Cross Compiling version of GNU binutils, which can be used to
assemble and link binaries for the %{target} platform, instead of for the
native %{_arch} platform.

#--------------------------------------------------------------------

%prep
%setup -q -c
pushd binutils-%{version}
%patch -P1 -p2 -b .avr-size
%patch -P2 -p1 -b .config
popd

cp %{SOURCE1} .

%build
mkdir -p build
pushd build
CFLAGS="$RPM_OPT_FLAGS" ../binutils-%{version}/configure --prefix=%{_prefix} \
  --libdir=%{_libdir} --mandir=%{_mandir} --infodir=%{_infodir} \
  --with-system-zlib \
  --target=%{target} --disable-werror --disable-nls
%make_build
popd


%install
pushd build
%make_install
popd
# these are for win targets only
rm -f %{buildroot}%{_mandir}/man1/%{target}-{dlltool,windres}.1
# we don't want these as we are a cross version
rm -r %{buildroot}%{_infodir}
rm    %{buildroot}%{_libdir}/bfd-plugins/libdep* ||:

%files
%license binutils-%{version}/COPYING binutils-%{version}/COPYING.LIB
%doc binutils-%{version}/README README.mageia
%{_prefix}/%{target}
%{_bindir}/%{target}-*
%{_mandir}/man1/%{target}-*.1*



%changelog
* Tue Apr 29 2025 daviddavid <daviddavid> 1:2.44-1.mga10
+ Revision: 2179788
- updated to 2.44

* Mon Mar 14 2022 umeabot <umeabot> 1:2.30-4.mga9
+ Revision: 1791677
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:2.30-3.mga8
+ Revision: 1511476
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1:2.30-2.mga7
+ Revision: 1296907
- Mageia 7 Mass Rebuild

* Sat Mar 24 2018 kekepower <kekepower> 1:2.30-1.mga7
+ Revision: 1211915
- Update to version 2.30

* Fri Feb 05 2016 umeabot <umeabot> 1:2.23.2-6.mga6
+ Revision: 939342
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:2.23.2-5.mga5
+ Revision: 746445
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.23.2-4.mga5
+ Revision: 678591
- Mageia 5 Mass Rebuild

* Wed Mar 26 2014 pterjan <pterjan> 1:2.23.2-3.mga5
+ Revision: 608740
- Fix popd call
- Drop old tarball

* Mon Oct 21 2013 umeabot <umeabot> 1:2.23.2-2.mga4
+ Revision: 540634
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 juergen_harms <juergen_harms> 1:2.23.2-1.mga4
+ Revision: 494068
- add patch to correct calling texinfo functions colophon and cygnus
- upgrade to new upstream version = binutils-2.23.2

* Thu Apr 11 2013 juergen_harms <juergen_harms> 1:2.23-1.mga3
+ Revision: 409666
- use new upstream version (i.e. binutils-2.23)
- change of source compresion (and name) bz2 -> gz
- modify Mageia package version and release

* Fri Jan 11 2013 umeabot <umeabot> 1:2.20-2.mga3
+ Revision: 348301
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 10 2012 dmorgan <dmorgan> 1:2.20-1.mga2
+ Revision: 194553
- Replace avr-binutils by cross-avr-binutils
+ kicer86 <kicer86>
- Group changed to Development/Other

* Sun Jul 17 2011 kicer86 <kicer86> 2.21-1.mga2
+ Revision: 125248
- prefix set to %%{_libdir}
- lots of cleanups
- Added _exec_prefix definition. With it avr related stuff goes to /usr/lib/avr
- License and URL corrections
- imported package cross-avr-binutils


* Sat Jun 25 2011 Michał Walenciak <kicer86 at gmail.com>
- first Mageia spec

* Tue Nov 28 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added explicit libdirs for x86_64 build

* Sat Jul  3 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added prefix macros, updated to 2.15
- added buildrequires, fixed file lists

* Mon Nov 9 2002 Yukio Mituiwa <mituiwa@linet.gr.jp>
- initialization of spec file.
